+ Post New Thread
Page 3 of 595 FirstFirst 1 2 3 4 5 13 53 103 503 ... LastLast
Threads 51 to 75 of 14854

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 53,002
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 57,269
    18th Sep 2006 10:46 pm Go to last post
  1. Getting error message "exceeded maximum number of selection sets"

    Need assistance with the code below, using it to toggle my viewports (open and close). However, after a few times of using it throws up the message "exceeded maximum number of selections" and doesn't...

    Started by Baber62‎, 23rd Nov 2016 05:37 pm
    view ports
    • Replies: 7
    • Views: 295
    28th Nov 2016 08:46 pm Go to last post
  2. text add to attribute

    hi guys im new autocad and my english poor ım sory. ı want integrade text at the attrbute have any lisp ? thank you... lisp do : 1) select attribute / manual 2) select text / manual 3) add extra...

    Started by 122105asd‎, 28th Nov 2016 08:30 pm
    • Replies: 1
    • Views: 126
    28th Nov 2016 08:42 pm Go to last post
  3. Please help!! Area perimeter value on attribute

    HI everybody my english is poor sory ı want lisp doing this 1) select pollyline (closed) / manual 2) select attribute / manual 3) pollyline area and perimeter value enter attribute (...

    Started by 122105asd‎, 28th Nov 2016 06:45 pm
    • Replies: 0
    • Views: 37
    28th Nov 2016 06:45 pm Go to last post
  4. Smile Rename the layer of a selected line or object without affecting same layer

    Hi Everyone! I just want to ask your help regarding some LISP routines I need. The specific routine/code is described as follows: 1. Select a line/object 2. Prompt of a dialog box to rename its...

    Started by MasterApprentice‎, 28th Nov 2016 01:32 am
    layer renaming
    • Replies: 0
    • Views: 25
    28th Nov 2016 01:32 am Go to last post
  5. Drawing Trim split hatch with holes problem !! Why after trim hatch there is holes in trimmed

    Trim split hatch with holes problem !! Why after trim hatch there is holes in trimmed parts.

    Started by LULU1965‎, 25th Nov 2016 05:22 pm
    • Replies: 6
    • Views: 379
    27th Nov 2016 12:38 pm Go to last post
  6. Changing OBJECT (LINES) LTSCALE

    Hi all, ive been trying to create simple lisp that do the following 1. Select objects (lines, polylines, circle, arc etc.) 2. prompt the user to put desired linetype scale but unfortunately...

    Started by loudy000‎, 27th Nov 2016 06:55 am
    • Replies: 3
    • Views: 184
    27th Nov 2016 12:16 pm Go to last post
  7. End of Lisp After Selection

    Hi all, i have a simple lisp below, just wondering how to end it after selection? Thanks..your help is highly appreciated :) (defun c:GH () (SSGET) (command "layer" "M" "L-HATCH" "") ...

    Started by loudy000‎, 22nd Nov 2016 06:34 am
    • Replies: 5
    • Views: 262
    27th Nov 2016 06:02 am Go to last post
  8. urgent support to make find and replace from xls sheet

    dear all i have xls sheet content 2 column on for current name in my drawing and other is new name need to replace it. i hope i can find salutation.

    Started by wrha‎, 26th Nov 2016 05:45 pm
    • Replies: 5
    • Views: 219
    27th Nov 2016 04:34 am Go to last post
  9. Dcl dialog to lisp

    Hello everybody! I'm trying to make DSL dialogue for a small program. DCL: perfsuff: dialog { label = "PF"; : boxed_column { label = "--<...

    Started by sathalex‎, 26th Nov 2016 03:28 am
    • Replies: 5
    • Views: 454
    27th Nov 2016 12:34 am Go to last post
  10. Drawing Help me for special rectangular nesting plates not simmetrical (not rotable 180°).

    Special rectangular nesting plates not simmetrical (not rotable 180°) I must a lot of pieces of cutting polylines in rectangular areas this problem is very important for me thanks for all help me.

    Started by LULU1965‎, 25th Nov 2016 12:21 pm
    • Replies: 0
    • Views: 224
    25th Nov 2016 12:21 pm Go to last post
  11. Proxy Objects

    How can I find out the coordinates of points of those items. Cad file uploaded.

    Started by wimal‎, 24th Nov 2016 11:29 am
    • Replies: 6
    • Views: 359
    25th Nov 2016 11:35 am Go to last post
  12. Convert plates blocks to multiple single bpoly (reactor) cut crossing by poly.

    Convert plates blocks to multiple single bpoly (reactor) cut crossing by poly. The blocks overlapping to itself but bpoly must be single for calculation of waste areas. Thanks for all help me....

    Started by LULU1965‎, 23rd Nov 2016 01:39 pm
    • Replies: 4
    • Views: 291
    25th Nov 2016 10:42 am Go to last post
  13. change color temporarily

    I have been searching for a lisp thatchange all selected objects color temporarily ;has anyone seen something that will do that?

    Started by jim78b‎, 9th Nov 2016 12:24 pm
    3 Pages
    1 2 3
    • Replies: 22
    • Views: 1,094
    25th Nov 2016 08:36 am Go to last post
  14. save each layer in a separate file

    Hi all, I'm looking for an automatic way to split a .dwg containing many layers to many .dwg containing only one layer (each layer should be saved separately in a new file using layer name for the...

    Started by x.bonnet‎, 23rd Nov 2006 10:49 am
    5 Pages
    1 2 3 ... 5
    • Replies: 47
    • Views: 22,251
    25th Nov 2016 12:07 am Go to last post
  15. autolisp polyline calculate

    Hello I would like to create a list as picture below How to calculate the length and angles when using AutoLISP I will be grateful for suggestions. I think the biggest problem I have with the...

    Started by jan_ek‎, 20th Nov 2016 06:50 pm
    • Replies: 5
    • Views: 378
    24th Nov 2016 02:55 am Go to last post
  16. LISP to create modified MLA command

    Hello everyone, This is my first post, so forgive me if I have placed it in a bad spot. Does anyone know of a lisp that would be able to use or recreate the abilities of multileader align such...

    Started by pxs155‎, 23rd Nov 2016 05:18 pm
    • Replies: 0
    • Views: 146
    23rd Nov 2016 05:18 pm Go to last post
  17. Add suffix

    Friends :D Please help to add suffix in the following lisp , i need suffix increment along with no's increment Example 1A,2A The starting no i want to type on the screen unless it will...

    Started by hidxb123‎, 23rd Nov 2016 12:50 pm
    • Replies: 6
    • Views: 218
    23rd Nov 2016 03:29 pm Go to last post
  18. Lisp routine to measure line and add length to existing text

    Hi all, I'm new to this forum and know very little about programming lisp routines. I usually just come across ones every now and then and add them to my installation of AutoCAD. I was looking for...

    Started by emwhite‎, 8th Feb 2011 11:05 pm
    3 Pages
    1 2 3
    • Replies: 26
    • Views: 14,258
    23rd Nov 2016 11:31 am Go to last post
  19. Plot user paper size

    Hi everyone, I have encountered a problem in plotting and I was wondering if anyone here could help me with it. I need to plot a DWG file on a custom-sized (non-standard) paper whose dimensions...

    Started by reza‎, 12th Nov 2016 09:22 am
    5 Pages
    1 2 3 ... 5
    • Replies: 45
    • Views: 1,570
    23rd Nov 2016 06:02 am Go to last post
  20. Autolisp to Evaluate User Variables

    I have a plot setup to plot all the layout tabs in a drawing. I have provided the users the options to select the paper size, plot style, and orientation. These are stored as user variables (PDFPS,...

    Started by mwade93‎, 21st Nov 2016 05:03 pm
    • Replies: 8
    • Views: 417
    23rd Nov 2016 02:59 am Go to last post
  21. Where can i find 'group codes' of layers?

    Hello all. Im building a lisp to make/change/duplicate layers. But i an missing a few 'code numbers'. i'm here so far: <lots of code> (setq layerinf (tblsearch "LAYER" currentlayer)) ;;...

    Started by Aftertouch‎, 15th Nov 2016 02:09 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 653
    22nd Nov 2016 10:39 pm Go to last post
  22. 3d face with 4 complanar vertex

    Hi. When you draw a 3d face, there is a way (or a lisp) to constraint the 4th point to be complanar with the other 3 ? Thanks :)

    Started by marmo‎, 19th Nov 2016 06:30 pm
    • Replies: 2
    • Views: 299
    22nd Nov 2016 09:17 am Go to last post
  23. Question Expire date for a lisp function

    hi, i need to help about expire date for a lisp function. i hardly write following lisp and i want to add an expire date in it. it will be vlx file and it shuld be not valid at 01/01/2017. And it...

    Started by Merve‎, 9th Nov 2016 07:19 am
    2 Pages
    1 2
    expire date, lisp
    • Replies: 12
    • Views: 749
    21st Nov 2016 09:40 pm Go to last post
  24. Idea Help distance and azimuth lisp

    Hi guys, I'd like to modify my lisp. I don't know how to do that, I need some help. My code draws line by distance and azimuth. It's a great code, but it can be better. I'd like to invoke the...

    Started by Madruga_SP‎, 17th Apr 2013 02:47 pm
    5 Pages
    1 2 3 ... 5
    • Replies: 46
    • Views: 12,020
    21st Nov 2016 04:06 pm Go to last post
  25. Multiple selection to change color

    Hello, I am new to the forum. Can anyone of you help me?:cry: I am a beginner in lisp codes. My problem is that I need to do multiple selection to change color. I can only do it once :( ...

    Started by Romero‎, 20th Nov 2016 06:50 pm
    change color, lisp, multiple, selection
    • Replies: 3
    • Views: 263
    21st Nov 2016 10:36 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts